%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		openshot-qt
Version:	2.3.4
Release:	%mkrel 2
Summary:	Simple and Powerful video editor
Group:		Video/Editors and Converters
License:	GPLv3+
URL:		http://www.openshot.org/
Source0:	https://launchpad.net/openshot/%{url_ver}/%{version}/+download/%{name}-%{version}.tar.gz
Patch0:		openshot-qt-2.1.0-fix-install.patch
BuildArch:	noarch

BuildRequires:	pkgconfig(python3)
BuildRequires:	pythonegg(3)(setuptools)
BuildRequires:	python3-qt5-devel
BuildRequires:	libopenshot-devel
BuildRequires:	libopenshot-audio-devel

Requires:	python3-qt5-core
Requires:	python3-qt5-gui
Requires:	python3-qt5-multimedia
Requires:	python3-qt5-network
Requires:	python3-qt5-opengl
Requires:	python3-qt5-printsupport
Requires:	python3-qt5-svg
Requires:	python3-qt5-webkit
Requires:	python3-qt5-webkitwidgets
Requires:	python3-qt5-widgets
Requires:	python3-libopenshot
Requires:	pythonegg(3)(httplib2)
Requires:	pythonegg(3)(pillow)
Requires:	pythonegg(3)(pyxdg)
Requires:	pythonegg(3)(pyzmq)
Requires:	ffmpeg
Requires:	frei0r-plugins
Recommends:	blender
Recommends:	inkscape

Obsoletes:	openshot < 1.4.3-11
Provides:	openshot = %{version}-%{release}


%description
OpenShot Video Editor is a free, open-source, non-linear video editor. It
can create and edit videos and movies using many popular video, audio,
image formats.  Create videos for YouTube, Flickr, Vimeo, Metacafe, iPod,
Xbox, and many more common formats!

Features include:
  * Multiple tracks (layers).
  * Compositing, image overlays, and watermarks.
  * Support for image sequences (rotoscoping).
  * Key-frame animation.
  * Video and audio effects (chroma-key).
  * Transitions (lumas and masks).
  * 3D animation (titles and simulations).
  * Chroma key (green screen & blue screen).
  * Transcode (convert video encodings).
  * Upload videos (YouTube and Vimeo supported).

This is the python3 + PyQt5 version of OpenShot.

%prep
%setup -qc
%autopatch -p1

%build
%py3_build

%install
%py3_install

# We strip bad shebangs (/usr/bin/env) instead of fixing them
# since these files are not executable anyways
find %{buildroot}%{python3_sitelib} -name '*.py' \
  -exec grep -q '^#!' '{}' \; -print | while read F
do
  awk '/^#!/ {if (FNR == 1) next;} {print}' $F >chopped
  touch -r $F chopped
  mv chopped $F
done

%files
%doc README AUTHORS
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/scalable/apps/*.svg
%{_datadir}/mime/packages/%{name}.xml
%{python3_sitelib}/openshot_qt/
%{python3_sitelib}/openshot_qt-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Jun 02 2017 akien <akien> 2.3.4-2.mga6
+ Revision: 1105838
- Obsolete old GTK+ openshot-1.4.3-10.mga6

* Fri Jun 02 2017 akien <akien> 2.3.4-1.mga6
+ Revision: 1105818
- Version 2.3.4

* Wed Dec 28 2016 daviddavid <daviddavid> 2.2.0-1.mga6
+ Revision: 1078530
- new version: 2.2.0 (fixes mga#20006)
- remove merged upstream patches

* Tue Oct 18 2016 daviddavid <daviddavid> 2.1.0-1.mga6
+ Revision: 1061550
- initial package openshot-qt

